Subject: bug#23409: unable to load free firmware

From: Quiliro Ordonez <[email-masked]>
Date: Thu, 03 Nov 2016 19:43:38 -0500

El 2016-05-01 08:19, [email-masked] escribió:
> Quilro Ordonez <[email-masked]> skribis:
> 
>> I am trying to lo use Broadcom wireless device on GuixSD. It is
>> confirmed to work with free drivers and free firmware. It works
>> correctly in Trisquel too.
>> 
>> dmesg gives the following messages. I have included only the relevant
>> parts:
> 
> [...]
> 
>> [   20.591158] b43-phy0 ERROR: Firmware file "b43-open/ucode5.fw" not
>> found
>> [   21.313688] b43-phy0 ERROR: /*(DEBLOBBED)*/
> 
> “DEBLOBBED” would suggest that Linux-libre’s deblobbing script viewed 
> it
> as an opaque binary blob and thus patched it, which may be an issue
> here, no?
> 
> I assume you used the firmware packages that Leo copied.  Could you get
> its author to submit it?  :-)
> 
> What’s your GuixSD OS config like?  You must make sure to list the
> firmware packages in the ‘firmware’ field, as noted at:
> 
> 
> https://www.gnu.org/software/guix/manual/html_node/operating_002dsystem-Reference.html#index-firmware
> 
> Is this part OK?

I no longer Have that computer. I was not able to use GuixSD because I 
was not able to configure the system correctly.